The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Upgrading Wordpress

Discussion in 'General Discussion' started by teraysay, Jun 25, 2008.

  1. teraysay

    teraysay Member

    Joined:
    Mar 25, 2008
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    On my webhost manager, I have wordpress enabled as a CPAddon. In the cPAddon Scripts Installer/Updater list, it says that the site is running 2.5.1. However, when I log out and then re log-in with a regular site account and click to install Wordpress, version 2.2.2 gets installed. How do i fix this?:confused:
     
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Try this:

    1. Go to WHM -> cPanel -> Install cPAddons
    2. Check the box for Force Refresh of All cPAddon Sources
    3. Click the button immediately below that labeled Update Addon Config
    4. Wait for this process to complete
    5. Attempt to install WordPress again via cPanel -> Software / Services -> Site Software.
     
  3. teraysay

    teraysay Member

    Joined:
    Mar 25, 2008
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Yes!That did it! thanks so much
     
  4. sftl99

    sftl99 Registered

    Joined:
    Jul 23, 2008
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Now Wordpress is up to 2.6 but my WHM & cPanel still say 2.5.1.

    Same with phpBB, it is an out of date version. I have done the steps above but still show outdated versions.

    Is this because cPanel hasn't updated with script installers or is there something I need to do on my end?
     
  5. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,458
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    That is a correct analysis. We have not updated the cPAddons for those two applications.
     
  6. sftl99

    sftl99 Registered

    Joined:
    Jul 23, 2008
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Just making sure I wasn't missing something. Thank you! Wordpress is such a cinch to upgrade that it really doesn't matter.
     
  7. w98

    w98 Registered

    Joined:
    Jul 6, 2005
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Los Angeles
    any ETA on upgrading the WordPress plugin to the 2.6.x series?
     
  8. lorio

    lorio Well-Known Member

    Joined:
    Feb 25, 2004
    Messages:
    243
    Likes Received:
    3
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Current version is Wordpress 2.6.3

    WHM shows 2.6.3 as available to install.

    When installing it from scratch via cPAddon Scripts v0.8.1 only Wordpress 2.6.1 is installed (at least the readme.html states 2.6.1). When looking into the html source i see ?ver=2.6.2 attached to css files. When logging into Wordpress a reminder to update to 2.6.3 is shown.

    Since I never used automatic installation scripts for productive site I am not sure where the bug is. The wordpress package offered or the routine which checks the versions.

    WHM 11.23.2 cPanel 11.23.6-R27698
    CENTOS Enterprise 4.6 i686 - WHM X v3.1.0
     
Loading...

Share This Page